require 'sensei_eod_utils'

module SenseiApi
  class PositionRisk
    class <<self
      def risk(params)
        response = HTTParty.get(url, query: params.compact, format: :json)
        JSON.parse(response.body, object_class: OpenStruct)
      end
      
      def url
        @url ||= "#{ENV['SENSEI_RISK_API']}/positions"
      end

      def base_url
        @base_url ||= ENV['SENSEI_RISK_API']
      end
    end
  end
end